Subject: RE: [AAA-WG]: What does "Snd-Conn-Nack" mean?

From: Cain Brian-BCAIN1 <[email-masked]>
Date: Mon, 4 Jun 2001 14:08:49 -0500

> -----Original Message-----
> From: Pat Calhoun [mailto:[email-masked]]
> 
> On Mon, Jun 04, 2001 at 01:55:33PM -0500, Cain Brian-BCAIN1 wrote:
...
> > I'll defer to the expertise of the list.  
> > 
> > I'm under the impression that calling accept() or some such 
> equivalent on a
> > listening socket, will send a transport "Conn-Ack" as soon 
> as it receives
> > the connection request.  (i.e. accept would continue to 
> block until after it
> > had sent the ACK).  This should cause the connect() on the 
> other side to
> > succeed, though it would be quickly followed by a disconnection.  
> > 
> > Can someone confirm/deny this?
> 
> There are really two cases. One where a connection request is 
> unsuccessful, hence
> the Nack, and one where the peers decides it does not wish 
> the connection to be
> established (after calling accept), and issues a disconnect.

Ah.  I assumed "Nack" refered to explicit TCP or SCTP messaging.  I
understand now.

> > If I'm right about the above, then I think we'd want to 
> ADD, not replace (as
> > I suggested before) the new disconnect events.
> 
> I believe that the case you are talking about is already covered:

You're right.